#ifndef __MAP_H__
#define __MAP_H__

#include <qpixmap.h>
#include <qpixmapcache.h>
#include <qcache.h>
#include <qimage.h>
#include "pos.h"

class Map
{
public:
	Map(QPixmapCache *cache, QCache<QImage> *img_cache,
		const QString *base = NULL, int _max_down = 4);
	QPixmap &getPix();
	int loadPixmap(Pos &pos);

private:
	QString getPath(Pos &pos);

	QImage zoom(QImage *img, int i, Pos const &pos);

	const QString *base_path;
	QPixmapCache *cache;
	QCache<QImage> *img_cache;
	QPixmap pix;

	int max_down;
};

#endif // __MAP_H__
